> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Message (/api-reference/chat-messages/send-message)

Send a new message to a chat.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml post /api/{account}/chats/{chat_id}/messages
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/{account}/chats/{chat_id}/messages:
    parameters:
      - in: path
        name: account
        description: The Account ID
        example: acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
      - in: path
        name: chat_id
        description: The ID of the chat (usually a fan's OnlyFans User ID)
        example: "123"
        required: true
        schema:
          type: string
    post:
      summary: Send Message
      operationId: sendMessage
      description: Send a new message to a chat.
      parameters: []
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    responseType: message
                    text: <p>Message text</p>
                    giphyId: null
                    lockedText: true
                    isFree: true
                    price: 0
                    isMediaReady: true
                    mediaCount: 0
                    media: []
                    previews: []
                    isTip: false
                    isReportedByMe: false
                    isCouplePeopleMedia: false
                    queueId: 123
                    isMarkdownDisabled: true
                    releaseForms: []
                    fromUser:
                      id: 339543013
                      _view: s
                    isFromQueue: false
                    id: 123
                    isOpened: false
                    isNew: true
                    createdAt: 2025-02-03T23:29:53+00:00
                    changedAt: 2025-02-03T23:29:53+00:00
                    cancelSeconds: 119
                    isLiked: false
                    canPurchase: false
                    canPurchaseReason: free
                    canReport: false
                    canBePinned: true
                    isPinned: false
                  _pagination:
                    next_page: https://app.onlyfansapi.com/api/acct_XXXXXXXXXXX/chats/XXXXXXXXX/messages?limit=10&id=XXXXXXXXX
                  _meta:
                    _credits:
                      used: 1
                      balance: 1
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 1000
                      limit_day: 50000
                      remaining_minute: 999
                      remaining_day: 49999
                properties:
                  data:
                    type: object
                    properties:
                      responseType:
                        type: string
                        example: message
                      text:
                        type: string
                        example: <p>Message text</p>
                      giphyId:
                        type: string
                        example: null
                        nullable: true
                      lockedText:
                        type: boolean
                        example: true
                      isFree:
                        type: boolean
                        example: true
                      price:
                        type: integer
                        example: 0
                      isMediaReady:
                        type: boolean
                        example: true
                      mediaCount:
                        type: integer
                        example: 0
                      media:
                        type: array
                        example: []
                      previews:
                        type: array
                        example: []
                      isTip:
                        type: boolean
                        example: false
                      isReportedByMe:
                        type: boolean
                        example: false
                      isCouplePeopleMedia:
                        type: boolean
                        example: false
                      queueId:
                        type: integer
                        example: 123
                      isMarkdownDisabled:
                        type: boolean
                        example: true
                      releaseForms:
                        type: array
                        example: []
                      fromUser:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 339543013
                          _view:
                            type: string
                            example: s
                      isFromQueue:
                        type: boolean
                        example: false
                      id:
                        type: integer
                        example: 123
                      isOpened:
                        type: boolean
                        example: false
                      isNew:
                        type: boolean
                        example: true
                      createdAt:
                        type: string
                        example: 2025-02-03T23:29:53+00:00
                      changedAt:
                        type: string
                        example: 2025-02-03T23:29:53+00:00
                      cancelSeconds:
                        type: integer
                        example: 119
                      isLiked:
                        type: boolean
                        example: false
                      canPurchase:
                        type: boolean
                        example: false
                      canPurchaseReason:
                        type: string
                        example: free
                      canReport:
                        type: boolean
                        example: false
                      canBePinned:
                        type: boolean
                        example: true
                      isPinned:
                        type: boolean
                        example: false
                  _pagination:
                    type: object
                    properties:
                      next_page:
                        type: string
                        example: https://app.onlyfansapi.com/api/acct_XXXXXXXXXXX/chats/XXXXXXXXX/messages?limit=10&id=XXXXXXXXX
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 1
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 1000
                          limit_day:
                            type: integer
                            example: 50000
                          remaining_minute:
                            type: integer
                            example: 999
                          remaining_day:
                            type: integer
                            example: 49999
        "422":
          description: Validation Error
          content:
            application/json:
              schema:
                type: object
                example:
                  error: VALIDATION_ERROR
                  message: The text field is required.
                  description: The request parameters failed validation.
                  errors:
                    text:
                      - The text field is required.
                  _meta:
                    _credits:
                      used: 0
                      balance: 9554
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 1000
                      limit_day: 50000
                      remaining_minute: 999
                      remaining_day: 49999
                properties:
                  error:
                    type: string
                    example: VALIDATION_ERROR
                  message:
                    type: string
                    example: The text field is required.
                  description:
                    type: string
                    example: The request parameters failed validation.
                  errors:
                    type: object
                    properties:
                      text:
                        type: array
                        example:
                          - The text field is required.
                        items:
                          type: string
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 0
                          balance:
                            type: integer
                            example: 9554
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 1000
                          limit_day:
                            type: integer
                            example: 50000
                          remaining_minute:
                            type: integer
                            example: 999
                          remaining_day:
                            type: integer
                            example: 49999
      tags:
        - Chat Messages
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                text:
                  type: string
                  description: The message text content. Required unless a media file is present.
                  example: Hello!
                replyToMessageId:
                  type: integer
                  description: Mark this message as a reply to another (can be either your own, or
                    the recipient's)
                  example: 123456789
                lockedText:
                  type: boolean
                  description: Whether the text should be shown or hidden
                  example: true
                price:
                  type: integer
                  description: Price for paid content (0 or between 3-200). In case this is not
                    zero, **mediaFiles** is required
                  example: 10
                mediaFiles:
                  type: array
                  description: Direct file uploads, OFAPI `ofapi_media_` IDs, or OF vault IDs.
                    Will be hidden if `price` is provided.
                  example:
                    - ofapi_media_abc123
                    - 1234567890
                  items:
                    type: file[]|string
                previews:
                  type: array
                  description: Direct file uploads, OFAPI `ofapi_media_` IDs, OF vault IDs, or
                    integer indices referencing uploaded files in `mediaFiles`.
                    Will be shown if `price` is provided.
                  example:
                    - ofapi_media_abc123
                    - 1234567890
                  items:
                    type: file[]|string[]|int
                giphyId:
                  type: string
                  description: The ID of the Giphy GIF to attach to the message. Get IDs from the
                    Giphy listing endpoints (`/giphy/trending`,
                    `/giphy/search`).
                  example: WAGC3LeqJvXglm5H7a
                rfTag:
                  type: string
                  description: Array of OnlyFans Creator User IDs to tag in your message
                  example: null
                rfPartner:
                  type: string
                  description: Array of OnlyFans Release Form Partners IDs to tag in your message
                  example: null
                rfGuest:
                  type: string
                  description: Array of OnlyFans Release Form Guest IDs to tag in your message
                  example: null
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````